Tool: fetch_available_bindings
Fetch available bindings for a given source resource.
The following sample demonstrate how to use curl to invoke the fetch_available_bindings MCP tool.
| Curl Request |
|---|
curl --location 'https://agentregistry.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "fetch_available_bindings", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Message for fetching available Bindings.
FetchAvailableBindingsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, // Union field |
| Fields | |
|---|---|
parent |
Required. The parent, in the format |
pageSize |
Optional. Requested page size. Server may return fewer items than requested. Page size is 500 if unspecified and is capped at |
pageToken |
Optional. A token identifying a page of results the server should return. |
Union field source. The reference of the source Agent. source can be only one of the following: |
|
sourceIdentifier |
The identifier of the source Agent. Format:
|
Union field target. The reference of the target Agent Registry resource. target can be only one of the following: |
|
targetIdentifier |
Optional. The identifier of the target Agent, MCP Server, or Endpoint. Format:
|
Output Schema
Message for response to fetching available Bindings.
FetchAvailableBindingsResponse
| JSON representation |
|---|
{
"bindings": [
{
object ( |
| Fields | |
|---|---|
bindings[] |
The list of Bindings. |
nextPageToken |
A token identifying a page of results the server should return. |
Binding
| JSON representation |
|---|
{ "name": string, "displayName": string, "description": string, "source": { object ( |
| Fields | |
|---|---|
name |
Required. Identifier. The resource name of the Binding. Format: |
displayName |
Optional. User-defined display name for the Binding. Can have a maximum length of |
description |
Optional. User-defined description of a Binding. Can have a maximum length of |
source |
Required. The target Agent of the Binding. |
target |
Required. The target Agent Registry Resource of the Binding. |
createTime |
Output only. Timestamp when this binding was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Timestamp when this binding was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Union field binding. The configuration for the Binding. binding can be only one of the following: |
|
authProviderBinding |
The binding for AuthProvider. |
AuthProviderBinding
| JSON representation |
|---|
{ "authProvider": string, "scopes": [ string ], "continueUri": string } |
| Fields | |
|---|---|
authProvider |
Required. The resource name of the target AuthProvider. Format:
|
scopes[] |
Optional. The list of OAuth2 scopes of the AuthProvider. |
continueUri |
Optional. The continue URI of the AuthProvider. The URI is used to reauthenticate the user and finalize the managed OAuth flow. |
Source
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field source_type. The type of the source, currently only supports Agents. Potential future fields include 'tag', etc. source_type can be only one of the following: |
|
identifier |
The identifier of the source Agent. Format:
|
Target
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field target_type. The type of the target, currently only supports an AgentRegistry Resource. Potential future fields include 'tag', etc. target_type can be only one of the following: |
|
identifier |
The identifier of the target Agent, MCP Server, or Endpoint. Format:
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌